import { GefestElement } from "../element";

export class GefestA extends GefestElement {
    constructor(content : (GefestElement | string)[] | string, href: string | null = null) {
        super(content);
        if (href !== null)
            this.setAttribute('href', href);
    }

    protected wrapHTML (content: string): string {
        const attrString = this.attributesToString();
        return `<a ${attrString}>${content}</a>`;
    }
}